#include "QCustomQLineEdit.h"

QCustomQLineEdit::QCustomQLineEdit(QWidget* parent) : QLineEdit(parent)
{
    setAcceptDrops(true);
}

void QCustomQLineEdit::dragEnterEvent(QDragEnterEvent* event)
{
    if (event->mimeData()->hasUrls()) {
        event->acceptProposedAction();
    }
    //QLineEdit::dragEnterEvent(event);
}

void QCustomQLineEdit::dragMoveEvent(QDragMoveEvent* event)
{
}

void QCustomQLineEdit::dropEvent(QDropEvent* event)
{
    const QMimeData* mimeData = event->mimeData();
    if (mimeData->hasUrls()) {
        QList<QUrl> urls = mimeData->urls();
        if (urls.size() > 0) {
            QString file_name = urls.at(0).toLocalFile();
            setText(file_name);
            event->accept();
        }
    }
    //QLineEdit::dropEvent(event);
}

QCustomQLineEdit::~QCustomQLineEdit()
{
}
